<template>
<div>
  <sticky className="sub-navbar">
    <div style="text-align:right;">
      <el-button type="success" :loading="onSubmit" @click="handleSave">保存</el-button>
      <!-- <el-button @click="handleCancel">取消</el-button> -->
    </div>
  </sticky>
  <div class="app-container app-edit">
    <el-form class="small-space" :model="form" :rules="rules" ref="form" label-position="right" label-width="120px" style="width: 700px;">

      <!-- 内容 -->
      <el-form-item label="内容" prop="content" v-show="false">
        <el-input placeholder="请输入内容"></el-input>
      </el-form-item>

      <el-form-item label="协议内容" prop="content">
        <tinymce :height="300" v-model="form.content" id='tinymce' style="width:900px"></tinymce>
      </el-form-item>
    </el-form>
  </div>
</div>
</template>

<script>
import Sticky from '@/components/Sticky'
import { find, save } from '@/api//protocol'
import Tinymce from '@/components/Tinymce'

export default {
  components: { Tinymce, Sticky },
  data() {
    return {
      form: {
        id: undefined,
        content: '',
        platformId: ''
      },

      onSubmit: false,

      // 表单验证规则
      rules: {
//        mobile: [
//          { required: true, message: '请输入手机号码', trigger: 'blur' }
//        ],
//        username: [
//          { required: true, message: '请输入姓名', trigger: 'blur' },
//          { max: 15, message: '姓名长度不能超过15个字符', trigger: 'blur' }
//        ],
//        email: [
//          { required: true, message: '请输入邮箱', trigger: 'blur' },
//          { type: 'email', message: '您输入的邮箱格式不正确', trigger: 'blur' }
//        ],
//        password: [
//          { required: true, message: '请输入密码', trigger: 'blur' },
//          { min: 6, message: '密码长度不能少于6个字符', trigger: 'blur' }
//        ]
      }
    }
  },
  created() {
    this.form.id = 1
    this.findById(this.form.id)
  },
  methods: {
    /**
     * 查询协议
     */
    findById(id) {
      find(id).then(response => {
        this.form.content = response.protocol.content
        this.form.platformId = response.protocol.platformId
      })
    },

    /**
     * 保存协议
     */
    handleSave() {
      this.$refs.form.validate(valid => {
        if (!valid) {
          return false
        }

        this.onSubmit = true
        save(this.form).then(response => {
          this.$router.go(-1)
        }).finally(() => {
          this.onSubmit = false
        })
      })
    },

    /**
     * 取消
     */
    handleCancel() {
      this.$router.go(-1)
    }
  }
}
</script>
